Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000487Core InformExtensionspublic2010-12-29 19:442014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000487: The problem message for a reference to an undeclared value in an I6 inclusion points to the standard rules
DescriptionThe attached source provokes:

- - - -
In Part SR4 - Actions, Section SR4/10 - Grammar in the extension Standard Rules by Graham Nelson:

Problem. In the sentence 'Understand "switch [something switched on]" as switching off' , I was expecting to read something unrecognised, but instead found some text that I couldn't understand - 'the undeclared rule'.
- - - -
Minimal Source Text To Reproduce
There is a room.
Include (-
	[ Foo;
		(+ the undeclared rule +)();
	];
-).
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships
has duplicate 0000704closed Including I6 code pointing to an undefined I7 activity leads to wrong error message 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-12-29 19:44 EmacsUser New Issue
2010-12-29 19:46 EmacsUser Summary The problem message for a reference to an undeclared rule in I6 inclusion points to the standard rules => The problem message for a reference to an undeclared rule in an I6 inclusion points to the standard rules
2010-12-31 02:42 jmcgrew Status new => acknowledged
2011-01-10 11:58 jmcgrew Status acknowledged => confirmed
2011-07-21 15:28 EmacsUser Relationship added has duplicate 0000704
2011-07-21 15:28 EmacsUser Summary The problem message for a reference to an undeclared rule in an I6 inclusion points to the standard rules => The problem message for a reference to an undeclared value in an I6 inclusion points to the standard rules
2011-10-15 02:55 graham Status confirmed => resolved
2011-10-15 02:55 graham Resolution open => fixed
2011-10-15 02:55 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker